﻿Guía Definitiva de Yii 2.0
==========================

Este tutorial se publica bajo los [Términos de Documentación Yii](http://www.yiiframework.com/doc/terms/).

Todos los derechos reservados.

2014 (c) Yii Software LLC.


Introducción
------------

* [Acerca de Yii](intro-yii.md)
* [Actualizar desde Yii 1.1](intro-upgrade-from-v1.md)


Primeros pasos
--------------

* [Instalar Yii](start-installation.md)
* [Funcionamiento de aplicaciones](start-workflow.md)
* [Hola a todos](start-hello.md)
* [Trabajar con formularios](start-forms.md)
* [Trabajar con bases de datos](start-databases.md)
* [Generar códigos con Gii](start-gii.md)
* [Adentrarse en Yii](start-looking-ahead.md)


Estructura de una aplicación
----------------------------

* [Información general](structure-overview.md)
* [Script de entrada](structure-entry-scripts.md)
* [Aplicaciones](structure-applications.md)
* [Componentes de una aplicación](structure-application-components.md)
* [Controladores](structure-controllers.md)
* [Modelos](structure-models.md)
* [Vistas](structure-views.md)
* [Filtros](structure-filters.md)
* [Widgets](structure-widgets.md)
* [Módulos](structure-modules.md)
* [Assets](structure-assets.md)
* [Extensiones](structure-extensions.md)


Gestión de las peticiones
-------------------------

* [Información general](runtime-overview.md)
* [Bootstrapping](runtime-bootstrapping.md)
* [Routing y Creación de las URL](runtime-routing.md)
* [Peticiones (Requests)](runtime-requests.md)
* [Respuestas (Responses)](runtime-responses.md)
* [Sesiones (Sessions) y Cookies](runtime-sessions-cookies.md)
* [Gestión de errores](runtime-handling-errors.md)
* [Registro de anotaciones](runtime-logging.md)


Conceptos clave
---------------

* [Componentes](concept-components.md)
* [Propiedades](concept-properties.md)
* [Eventos](concept-events.md)
* [Comportamientos (Behaviors)](concept-behaviors.md)
* [Configuraciones](concept-configurations.md)
* [Alias](concept-aliases.md)
* [Autocarga de clases](concept-autoloading.md)
* [Localizador de servicios (Service Locator)](concept-service-locator.md)
* [Contenedor de inyección de dependencia](concept-di-container.md)


Trabajar con bases de datos
---------------------------

* [Objeto de acceso a datos](db-dao.md) - Conexión a una base de datos, consultas básicas, transacciones y
  manipulación de esquemas
* [Constructor de consultas](db-query-builder.md) - Consulta de la base de datos utilizando una simple capa de
  abstracción
* **TBD** [Active Record](db-active-record.md) - ORM Active Record, recuperación y manipulación de registros y
  definición de relaciones
* **TBD** [Migraciones](db-migrations.md) - Control de versiones de bases de datos en el entorno de desarrollo en
  equipo
* **TBD** [Sphinx](db-sphinx.md)
* **TBD** [Redis](db-redis.md)
* **TBD** [MongoDB](db-mongodb.md)
* **TBD** [ElasticSearch](db-elastic-search.md)


Obtener datos de los usuarios
-----------------------------

* **TBD** [Crear formularios](input-forms.md)
* **TBD** [Validar datos](input-validation.md)
* **TBD** [Subir archivos](input-file-upload.md)
* **TBD** [Obtener datos para múltiples modelos](input-multiple-models.md)


Visualizar datos
----------------

* **TBD** [Formato de datos](output-formatting.md)
* **TBD** [Paginación](output-pagination.md)
* **TBD** [Ordenación](output-sorting.md)
* **TBD** [Proveedores de datos](output-data-providers.md)
* **TBD** [Widgets de datos](output-data-widgets.md)
* **TBD** [Trabajar con scripts de cliente](output-client-scripts.md)
* [Temas](output-theming.md)


Seguridad
---------

* **TBD** [Autenticación](security-authentication.md)
* **TBD** [Autorización](security-authorization.md)
* **TBD** [Trabajar con contraseñas](security-passwords.md)
* **TBD** [Autenticar Clientes](security-auth-clients.md)
* **TBD** [Buenas prácticas](security-best-practices.md)


Caché
-----

* [Información general](caching-overview.md)
* [Caché de datos](caching-data.md)
* [Caché de fragmentos](caching-fragment.md)
* [Caché de páginas](caching-page.md)
* [Caché HTTP](caching-http.md)


Servicios Web RESTful
---------------------

* [Guía breve](rest-quick-start.md)
* [Recursos (Resources)](rest-resources.md)
* [Controladores](rest-controllers.md)
* [Gestión de rutas](rest-routing.md)
* [Formateo de respuestas](rest-response-formatting.md)
* [Autenticación](rest-authentication.md)
* [Límite de Rango](rest-rate-limiting.md)
* [Gestión de versiones](rest-versioning.md)
* [Gestión de errores](rest-error-handling.md)


Herramientas de Desarrollo
--------------------------

* **TBD** [Depurador y Barra de Herramientas de Depuración](tool-debugger.md)
* **TBD** [Generación de códigos con Gii](tool-gii.md)
* **TBD** [Generación de documentación de API](tool-api-doc.md)


Pruebas
------

* **TBD** [Información general](test-overview.md)
* **TBD** [Configuración del entorno de pruebas](test-environment-setup.md)
* **TBD** [Pruebas unitarias](test-unit.md)
* **TBD** [Pruebas funcionales](test-functional.md)
* **TBD** [Pruebas de aceptación](test-acceptance.md)
* **TBD** [Fixtures](test-fixtures.md)


Temas especiales
----------------

* **TBD** [Plantilla aplicación avanzada](tutorial-advanced-app.md)
* **TBD** [Creación de una aplicación desde cero](tutorial-start-from-scratch.md)
* **TBD** [Comandos de consola](tutorial-console.md)
* [Validadores del núcleo](tutorial-core-validators.md)
* **TBD** [Internacionalización](tutorial-i18n.md)
* **TBD** [Envío de correos electrónicos](tutorial-mailing.md)
* **TBD** [Mejora del rendimiento](tutorial-performance-tuning.md)
* **TBD** [Entorno de alojamiento compartido](tutorial-shared-hosting.md)
* **TBD** [Motores de plantillas](tutorial-template-engines.md)
* **TBD** [Trabajar con Código de Terceros](tutorial-yii-integration.md)


Widgets
-------

* GridView: **TBD** link to demo page
* ListView: **TBD** link to demo page
* DetailView: **TBD** link to demo page
* ActiveForm: **TBD** link to demo page
* Pjax: **TBD** link to demo page
* Menu: **TBD** link to demo page
* LinkPager: **TBD** link to demo page
* LinkSorter: **TBD** link to demo page
* **TBD** [Bootstrap Widgets](bootstrap-widgets.md)
* **TBD** [Jquery UI Widgets](jui-widgets.md)


Clases auxiliares
-----------------

* [Información general](helper-overview.md)
* [ArrayHelper](helper-array.md)
* [Html](helper-html.md)
* [Url](helper-url.md)
